#ifndef _DBASE_H
#define _DBASE_H

#define DBASE_NO_OUTPUT_CODE 0
#define DBASE_NAMERESOLVE_CODE 1
#define DBASE_GETFPRTEMPATE_CODE 2

int DBase_Open(char * path);
int DBase_ResolveUserID(int offset);
int DBase_AttachDaily(char *path);
unsigned char* DBase_GetAttendRow(void);
char DBase_TodayIsFreeday(void);
int DBase_InsertStats(int dayofweek, int day, int userId, int work, int lunch, int other);
int DBase_SetUserID(int id);



#endif
